import type {ImportedInterface} from './remote.js'

interface LocalInterface {
   item: (a: number) => string
}

import {stringifyType, typeOf} from '@deepkit/type'

console.log('Locally:', stringifyType(typeOf<LocalInterface['item']>()))
console.log('Remotely:', stringifyType(typeOf<ImportedInterface['item']>()))
